Bug 196176 - Review Request: crystal
Review Request: crystal
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-06-21 15:05 EDT by Chitlesh GOORAH
Modified: 2014-06-24 14:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-08 11:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-06-21 15:05:13 EDT
Spec URL: http://beta.glwb.info/crystal/crystal.spec
SRPM URL: http://beta.glwb.info/crystal/crystal-1.0.0-1.src.rpm
Crystal is a kwin window decoration theme, which offers you (pseudo)
TRANSPARENT titlebar, buttons and borders. It also has some little
usuability enhancements.
Comment 1 Parag AN(पराग) 2006-06-22 01:11:36 EDT
Not an official review as I'm not yet sponsored
Mock Built for i386 development is successfull with
cpio: crystal-1.0.0/client/<built-in>: No such file or directory
cpio: crystal-1.0.0/client/config/<built-in>: No such file or directory

MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package crystal, in the
format crystal.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The License field in the package crystal.spec file matches the
actual license file COPYING in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
      - MUST: This package  have a %clean section, which contains rm -rf
      - MUST: This package used macros.
      - MUST: Document files are included like INSTALL README.
      - MUST: Package is calling ldconfig on postun post successfully.
      * Source URL is present.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct
      Not tested Desktop Icon but found its installed successfully.
Comment 2 Chitlesh GOORAH 2006-06-22 04:34:42 EDT
> Not tested Desktop Icon but found its installed successfully.

kcontrol > Appearance & Themes > Window Decoration

Yes, Im ignoring on Rex's advice:

Hans, can you do the official review ?
Comment 3 Rex Dieter 2006-06-22 06:51:01 EDT
This one's relatively simple, I can do it.
Comment 4 Chitlesh GOORAH 2006-06-22 06:53:49 EDT
Thanks, Rex.
Comment 5 Rex Dieter 2006-06-22 07:00:58 EDT
Offhand, looks pretty good, but...

* you can omit %doc INSTALL

* SOURCE Url doesn't work for me, but this does:
and it matches your source (md5sum-wise)
Comment 6 Chitlesh GOORAH 2006-06-22 07:13:29 EDT
Spec URL: http://beta.glwb.info/crystal/crystal.spec
SRPM URL: http://beta.glwb.info/crystal/crystal-1.0.0-2.src.rpm
Comment 7 Hans de Goede 2006-06-22 12:54:40 EDT
(In reply to comment #2)
> Hans, can you do the official review ?

Nope sorry I'm rather busy at the moment. Besides that now that you're sponsored
any FE contributer can do a review for you and its sortoff up to you to get yor
packages reviewed. The best way to get your packages reviewed is to exchange
reviews with someone. For example I see that Rex is reviewing this one for you,
so you should review one of his packages in return.

In the end you should review as many packages as you submit, even everybody only
submits packages and doesn't review the system will bog down very quickly.

Also now that you are sponsored you don't need to put me in the CC-list for
every review request you submit.
Comment 8 Chitlesh GOORAH 2006-06-26 09:40:01 EDT
New release:
Spec URL: http://beta.glwb.info/crystal/crystal.spec
SRPM URL: http://beta.glwb.info/crystal/crystal-1.0.1-1.src.rpm
Comment 9 Rex Dieter 2006-06-26 10:11:10 EDT
Looks good, APPROVED.
Comment 10 Chitlesh GOORAH 2006-06-26 17:34:23 EDT
I have the build failed on fc4 x86_64 and devel (fc6) x86_64
Job failed on arch x86_64

         Build logs may be found at


checking for size_t... yes
checking size of size_t... 8
checking for unsigned long... yes
checking size of unsigned long... 8
checking sizeof size_t == sizeof unsigned long... yes
checking crt_externs.h usability... no
checking crt_externs.h presence... no
checking for crt_externs.h... no
checking for _NSGetEnviron... no
checking for vsnprintf... yes
checking for snprintf... yes
checking for X... libraries /usr/X11R6/lib64, headers /usr/X11R6/include
checking for IceConnectionNumber in -lICE... yes
checking for libXext... yes
checking for pthread_create in -lpthread... yes
checking for extra includes... no
checking for extra libs... no
checking for libz... -lz
checking for libpng... -lpng -lz -lm
checking for libjpeg6b... no
checking for libjpeg... -ljpeg
checking for perl... /usr/bin/perl
checking for Qt... configure: error: Qt (>= Qt 3.3) (library qt-mt) not found.
Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!
error: Bad exit status from /var/tmp/rpm-tmp.5419 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.5419 (%build)
Comment 11 Rex Dieter 2006-06-26 20:58:02 EDT
I take it that the fc5/x86_64 build worked?
Comment 12 Chitlesh GOORAH 2006-06-27 04:06:43 EDT
no, neither :(
Comment 13 Chitlesh GOORAH 2006-06-27 04:58:03 EDT
Should I use qt-devel as BR ?

Comment 14 Rex Dieter 2006-06-27 08:02:56 EDT
BuildRequires: qt-devel kdelibs-devel
wouldn't hurt, but it won't help, either.

Here's the problem:
export QTLIB=${QTDIR}/%{_lib} QTINC=${QTDIR}/include

Either set it right, or don't set at all (qt package should set these 
correctly now).  *Should* be:
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

Sorry I didn't catch that earlier (like in the review).
Comment 15 Ben Nemec 2014-06-24 12:30:51 EDT
Package Change Request
Package Name: crystal
Owners: bnemec

Taking over maintenance of this package per https://lists.fedoraproject.org/pipermail/devel/2014-June/199723.html
Comment 16 Jon Ciesla 2014-06-24 14:07:28 EDT

Note You need to log in before you can comment on or make changes to this bug.